#include <stdio.h>
#if defined(NDEBUG)
#define       assert(x) ((void)0)
#else
extern void abort(void);
#define       assert(x) ((x)?(void)0: \
              (fprintf(stderr,"ASSERTION FAILED: "#x" FILE %s,LINE %d \n", \
              __FILE__,__LINE__),abort(),(void)0))
#endif
